# Config

```lua
TZMCIDFraudConfig = {}
 
--[[
 
    INSTALLATION
 
    1.  Navigate to .../[qb]/qb-core/shared/items.lua
    2.  Scroll to the bottom of the item list and paste the following text - https://pastebin.com/fvw10BqM - It should look like this https://ibb.co/JH0C09q
    3.  Once added, navigate to .../[qb]/qb-inventory/html/js/app.js
    4.  Scroll down to around line 400 where you should see a function called 'FormatItemInfo'. Paste the following text before you see the words 'else if' - https://pastebin.com/me0gsq8u - It should look like this https://ibb.co/6DkhqcS
    5.  You are now done, if you're having issues please contact hello@tzmc.dev and we can help out. 
 
]]--
 
-- NOTIFICATIONS --
 
TZMCIDFraudConfig.UseQBNotify = true
TZMCIDFraudConfig.NotificationEvent = "" -- If you're using your own notification system, enter the event here. If you leave this blank and set QBNotify to false this will use the FiveM chat to notify the player. The parameters are (text, status) Status can be either 'success' or 'error'.
 
TZMCIDFraudConfig.SuccessTitle = 'Success'
TZMCIDFraudConfig.ErrorTitle = 'Error'
TZMCIDFraudConfig.MissingItem = "Seems that you're missing something"
 
-- NPC --
 
TZMCIDFraudConfig.NPCModel = "g_m_y_famdnf_01"
TZMCIDFraudConfig.NPCShopCoords = {
    x = -877.11,
    y = -235.94,
    z = 46.85,
    h = 212.84,
}
 
-- SHOP --
 
TZMCIDFraudConfig.ShopLabel = "Black Market"
 
TZMCIDFraudConfig.ShopItems = {
    [1] = {
        name = "blank_card1",
        price = 20000,
        amount = 50,
        info = {},
        type = "item",
        slot = 1,
    },
    [2] = {
        name = "blank_card2",
        price = 10000,
        amount = 50,
        info = {},
        type = "item",
        slot = 2,
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tzmc.dev/docs/qb-core/id-fraud/config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
